nxt.http.callers

## Class CreateTransactionCallBuilder<T extends APICall.Builder>

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<T>

- Direct Known Subclasses:
    ApproveTransactionCall, BuyAliasCall, CancelAskOrderCall, CancelBidOrderCall, CastVoteCall, CreatePollCall, CurrencyBuyCall, CurrencyMintCall, CurrencyReserveClaimCall, CurrencyReserveIncreaseCall, CurrencySellCall, DeleteAccountPropertyCall, DeleteAliasCall, DeleteAssetPropertyCall, DeleteAssetSharesCall, DeleteCurrencyCall, DgsDelistingCall, DgsDeliveryCall, DgsFeedbackCall, DgsListingCall, DgsPriceChangeCall, DgsPurchaseCall, DgsQuantityChangeCall, DgsRefundCall, DividendPaymentCall, ExtendTaggedDataCall, IncreaseAssetSharesCall, IssueAssetCall, IssueCurrencyCall, LeaseBalanceCall, PlaceAskOrderCall, PlaceBidOrderCall, PublishExchangeOfferCall, ScheduleCurrencyBuyCall, SellAliasCall, SendMessageCall, SendMoneyCall, SetAccountInfoCall, SetAccountPropertyCall, SetAliasCall, SetAssetPropertyCall, SetPhasingOnlyControlCall, ShufflingCancelCall, ShufflingCreateCall, ShufflingProcessCall, ShufflingRegisterCall, ShufflingVerifyCall, TransferAssetCall, TransferCurrencyCall, UploadTaggedDataCall

      public class CreateTransactionCallBuilder<T extends APICall.Builder>
      extends APICall.Builder<T>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CreateTransactionCallBuilder(ApiSpec apiSpec)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `broadcast(boolean broadcast)`
    `T` | `compressMessageToEncrypt(java.lang.String compressMessageToEncrypt)`
    `T` | `compressMessageToEncryptToSelf(java.lang.String compressMessageToEncryptToSelf)`
    `T` | `deadline(int deadline)`
    `T` | `ecBlockHeight(int ecBlockHeight)`
    `T` | `ecBlockId(long ecBlockId)`
    `T` | `ecBlockId(java.lang.String ecBlockId)`
    `T` | `encryptedMessageData(byte[] encryptedMessageData)`
    `T` | `encryptedMessageData(java.lang.String encryptedMessageData)`
    `T` | `encryptedMessageIsPrunable(boolean encryptedMessageIsPrunable)`
    `T` | `encryptedMessageNonce(byte[] encryptedMessageNonce)`
    `T` | `encryptedMessageNonce(java.lang.String encryptedMessageNonce)`
    `T` | `encryptToSelfMessageData(byte[] encryptToSelfMessageData)`
    `T` | `encryptToSelfMessageData(java.lang.String encryptToSelfMessageData)`
    `T` | `encryptToSelfMessageNonce(byte[] encryptToSelfMessageNonce)`
    `T` | `encryptToSelfMessageNonce(java.lang.String encryptToSelfMessageNonce)`
    `T` | `feeNQT(long feeNQT)`
    `T` | `message(java.lang.String message)`
    `T` | `messageIsPrunable(boolean messageIsPrunable)`
    `T` | `messageIsText(boolean messageIsText)`
    `T` | `messageToEncrypt(java.lang.String messageToEncrypt)`
    `T` | `messageToEncryptIsText(boolean messageToEncryptIsText)`
    `T` | `messageToEncryptToSelf(java.lang.String messageToEncryptToSelf)`
    `T` | `messageToEncryptToSelfIsText(boolean messageToEncryptToSelfIsText)`
    `T` | `phased(boolean phased)`
    `T` | `phasingFinishHeight(int phasingFinishHeight)`
    `T` | `phasingHashedSecret(java.lang.String phasingHashedSecret)`
    `T` | `phasingHashedSecretAlgorithm(byte phasingHashedSecretAlgorithm)`
    `T` | `phasingHolding(long phasingHolding)`
    `T` | `phasingHolding(java.lang.String phasingHolding)`
    `T` | `phasingLinkedFullHash(byte[]... phasingLinkedFullHash)`
    `T` | `phasingLinkedFullHash(java.lang.String... phasingLinkedFullHash)`
    `T` | `phasingMinBalance(long phasingMinBalance)`
    `T` | `phasingMinBalanceModel(byte phasingMinBalanceModel)`
    `T` | `phasingQuorum(long phasingQuorum)`
    `T` | `phasingVotingModel(byte phasingVotingModel)`
    `T` | `phasingWhitelisted(java.lang.String... phasingWhitelisted)`
    `T` | `publicKey(byte[] publicKey)`
    `T` | `publicKey(java.lang.String publicKey)`
    `T` | `recipientPublicKey(byte[] recipientPublicKey)`
    `T` | `recipientPublicKey(java.lang.String recipientPublicKey)`
    `T` | `referencedTransactionFullHash(byte[] referencedTransactionFullHash)`
    `T` | `referencedTransactionFullHash(java.lang.String referencedTransactionFullHash)`
    `T` | `secretPhrase(java.lang.String secretPhrase)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateTransactionCallBuilder

          protected CreateTransactionCallBuilder(ApiSpec apiSpec)

  - ### Method Detail

    - #### broadcast

          public T broadcast(boolean broadcast)

    - #### phasingQuorum

          public T phasingQuorum(long phasingQuorum)

    - #### encryptedMessageIsPrunable

          public T encryptedMessageIsPrunable(boolean encryptedMessageIsPrunable)

    - #### messageIsPrunable

          public T messageIsPrunable(boolean messageIsPrunable)

    - #### compressMessageToEncryptToSelf

          public T compressMessageToEncryptToSelf(java.lang.String compressMessageToEncryptToSelf)

    - #### phasingLinkedFullHash

          public T phasingLinkedFullHash(java.lang.String... phasingLinkedFullHash)

    - #### phasingLinkedFullHash

          public T phasingLinkedFullHash(byte[]... phasingLinkedFullHash)

    - #### publicKey

          public T publicKey(java.lang.String publicKey)

    - #### publicKey

          public T publicKey(byte[] publicKey)

    - #### secretPhrase

          public T secretPhrase(java.lang.String secretPhrase)

      Overrides:
        `secretPhrase` in class `APICall.Builder<T extends APICall.Builder>`

    - #### ecBlockId

          public T ecBlockId(java.lang.String ecBlockId)

    - #### ecBlockId

          public T ecBlockId(long ecBlockId)

    - #### phased

          public T phased(boolean phased)

    - #### phasingHashedSecret

          public T phasingHashedSecret(java.lang.String phasingHashedSecret)

    - #### phasingHolding

          public T phasingHolding(java.lang.String phasingHolding)

    - #### phasingHolding

          public T phasingHolding(long phasingHolding)

    - #### encryptedMessageData

          public T encryptedMessageData(java.lang.String encryptedMessageData)

    - #### encryptedMessageData

          public T encryptedMessageData(byte[] encryptedMessageData)

    - #### messageToEncryptIsText

          public T messageToEncryptIsText(boolean messageToEncryptIsText)

    - #### messageToEncryptToSelf

          public T messageToEncryptToSelf(java.lang.String messageToEncryptToSelf)

    - #### messageToEncrypt

          public T messageToEncrypt(java.lang.String messageToEncrypt)

    - #### messageIsText

          public T messageIsText(boolean messageIsText)

    - #### phasingMinBalance

          public T phasingMinBalance(long phasingMinBalance)

    - #### deadline

          public T deadline(int deadline)

    - #### phasingWhitelisted

          public T phasingWhitelisted(java.lang.String... phasingWhitelisted)

    - #### messageToEncryptToSelfIsText

          public T messageToEncryptToSelfIsText(boolean messageToEncryptToSelfIsText)

    - #### recipientPublicKey

          public T recipientPublicKey(java.lang.String recipientPublicKey)

    - #### recipientPublicKey

          public T recipientPublicKey(byte[] recipientPublicKey)

    - #### feeNQT

          public T feeNQT(long feeNQT)

    - #### encryptedMessageNonce

          public T encryptedMessageNonce(java.lang.String encryptedMessageNonce)

    - #### encryptedMessageNonce

          public T encryptedMessageNonce(byte[] encryptedMessageNonce)

    - #### message

          public T message(java.lang.String message)

    - #### encryptToSelfMessageData

          public T encryptToSelfMessageData(java.lang.String encryptToSelfMessageData)

    - #### encryptToSelfMessageData

          public T encryptToSelfMessageData(byte[] encryptToSelfMessageData)

    - #### encryptToSelfMessageNonce

          public T encryptToSelfMessageNonce(java.lang.String encryptToSelfMessageNonce)

    - #### encryptToSelfMessageNonce

          public T encryptToSelfMessageNonce(byte[] encryptToSelfMessageNonce)

    - #### phasingFinishHeight

          public T phasingFinishHeight(int phasingFinishHeight)

    - #### referencedTransactionFullHash

          public T referencedTransactionFullHash(java.lang.String referencedTransactionFullHash)

    - #### referencedTransactionFullHash

          public T referencedTransactionFullHash(byte[] referencedTransactionFullHash)

    - #### compressMessageToEncrypt

          public T compressMessageToEncrypt(java.lang.String compressMessageToEncrypt)

    - #### phasingHashedSecretAlgorithm

          public T phasingHashedSecretAlgorithm(byte phasingHashedSecretAlgorithm)

    - #### ecBlockHeight

          public T ecBlockHeight(int ecBlockHeight)

    - #### phasingMinBalanceModel

          public T phasingMinBalanceModel(byte phasingMinBalanceModel)

    - #### phasingVotingModel

          public T phasingVotingModel(byte phasingVotingModel)